// src/lib/adapters/dom.ts
function dom(options = {}) {
  const { windowObj = window, replace = false } = options;
  const replaceState = windowObj.history.replaceState.bind(windowObj.history);
  const pushState = windowObj.history.pushState.bind(windowObj.history);
  const update = replace ? replaceState : pushState;
  return {
    isBrowser: () => typeof window !== "undefined",
    getBrowserUrl: () => windowObj.location,
    updateBrowserUrl: (search, hash) => update(null, "", `${search}${hash}`),
    // Client-side only adapter
    getServerUrl: () => ({ hash: "", search: "" }),
    updateServerUrl: () => {
    }
  };
}
export {
  dom
};
