// src/lib/adapters/sveltekit.ts
import { browser, building } from "$app/environment";
import { goto } from "$app/navigation";
import { page } from "$app/stores";
import { get } from "svelte/store";
function sveltekit(options = {}) {
  const { replace = false } = options;
  return {
    isBrowser: () => browser,
    getBrowserUrl: () => {
      if (building)
        return { hash: "", search: "" };
      return window.location;
    },
    updateBrowserUrl: (search, hash) => goto(`${search}${hash}`, {
      keepFocus: true,
      noScroll: true,
      replaceState: replace
    }),
    getServerUrl: () => {
      if (building)
        return { hash: "", search: "" };
      return get(page).url;
    },
    updateServerUrl: (_search, _hash) => {
    }
  };
}
export {
  sveltekit
};
