import { Q as QuerySchema, a as QueryParamsOptions, U as UseQueryHook, i as inferShape } from './types-29be0a21.js';
export { F as FunctionValidator, b as QueryFetcher, c as QueryHelpers, d as QueryHook, e as QueryUpdater, S as Serializer, V as ValibotValidator, f as Validator, Z as ZodValidator, g as inferFromValidator } from './types-29be0a21.js';
import 'valibot';
import 'zod';

/// <reference lib="dom" />

/**
 * This returns a function (a hook) rather than a reactive object as the
 * reactivity is lost when importing the underlying reactive object around
 * @returns A hook, returning a reactive {@linkcode QueryHelpers} instance
 */
declare function createUseQueryParams<TShape extends QuerySchema>(validators: TShape, options?: QueryParamsOptions): UseQueryHook<inferShape<TShape>>;

export { QueryParamsOptions, QuerySchema, UseQueryHook, createUseQueryParams, inferShape };
